Skip to main content
POST
/
v1
/
ussd-otps
Create USSD OTP
curl --request POST \
  --url https://api.monime.io/v1/ussd-otps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --header 'Monime-Space-Id: <monime-space-id>' \
  --data '
{
  "authorizedPhoneNumber": "<string>",
  "verificationMessage": "<string>",
  "duration": "5m",
  "metadata": {}
}
'
import requests

url = "https://api.monime.io/v1/ussd-otps"

payload = {
"authorizedPhoneNumber": "<string>",
"verificationMessage": "<string>",
"duration": "5m",
"metadata": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Monime-Space-Id": "<monime-space-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Monime-Space-Id': '<monime-space-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
authorizedPhoneNumber: '<string>',
verificationMessage: '<string>',
duration: '5m',
metadata: {}
})
};

fetch('https://api.monime.io/v1/ussd-otps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "messages": [
    "<unknown>"
  ],
  "result": {
    "id": "<string>",
    "dialCode": "<string>",
    "authorizedPhoneNumber": "<string>",
    "verificationMessage": "<string>",
    "createTime": "2023-11-07T05:31:56Z",
    "expireTime": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>

Headers

Idempotency-Key
string
required

This header is used to uniquely identify a logical request, ensuring that it is not processed more than once during retries.

Maximum string length: 64
Monime-Version
enum<string> | null

Specifies which version of the Monime API will handle this request.

Available options:
caph.2025-08-23,
caph.2025-06-20
Monime-Space-Id
string
required

The value is the tenancy parameter that Monime uses to determine which space the request is intended for.

Maximum string length: 64
Pattern: ^spc-.*$

Body

application/json

Creates a new USSD OTP session for secure phone-bound verification.

authorizedPhoneNumber
string
required

Phone number (MSISDN) authorized to verify the OTP. Will be used to validate the incoming USSD request.

verificationMessage
string | null

Message shown to the user after successful verification, typically rendered on the USSD interface.

Maximum string length: 255
duration
string
default:5m

How long the OTP code remains valid before expiring. Specified as a duration string (e.g., '30s', '2m').

Example:

"5m"

metadata
object | null

Optional metadata to associate additional context or tracking info with this OTP session.

Response

200 - application/json

OK

success
boolean

Represents the status of the query operation, confirming if it was successful. This field is always true

messages
any[]

Contains a list of messages providing relevant information or feedback related to the query or operation

result
USSD OTP · object

A USSD OTP represents a one-time passcode session used to authenticate users through a USSD dial flow.
It enables secure, phone-bound verification, ensuring that the person interacting via USSD is the legitimate account holder.

In addition to generating and validating the OTP, the flow may include user-facing feedback messages that confirm the process.